%define	use_nss	0
%define rename	1

Summary: Enhanced implementation of the mailx command
Name: nail
Version: 12.3
Release: 4%{?dist}
Group: 	Applications/Internet
License: BSD with advertising
URL: http://nail.sourceforge.net
Source0: http://dl.sourceforge.net/heirloom/mailx-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: nail-11.25-config.patch

%if %{use_nss}
BuildRequires: nss-devel, pkgconfig
%else
BuildRequires: openssl-devel
%endif


%description
Nail is an enhanced mail command, which provides the functionality
of the POSIX mailx command. It is derived from Berkeley Mail.

Additionally to the POSIX features, nail can work with Maildir/ e-mail
storage format (as well as mailboxes), supports IMAP, POP3 and SMTP
procotols (including over SSL) to operate with remote hosts, handles mime
types and different charsets. There are a lot of other useful features,
see %{name}.html in the documentation.

And as its ancient analogues, nail can be used as a mail script language,
both for sending and receiving mail.


%prep
%setup -q -n mailx-%{version}
%patch0 -p1

%if %{rename}
#  Use old name "nail" to avoid conflicts with the Core mailx package
sed -i '/Heirloom/ n
	s/mailx/nail/g
' %{name}.rc

sed -i '/Heirloom/ n
	s/mailx/nail/g
	s/Mailx/Nail/g
' mailx.1

sed -i '/Heirloom/ n
	s/mailx/nail/g
	s/MAILX /NAIL /g
	s/Mailx/Nail/g
' mailx.1.html
mv mailx.1.html %{name}.html
%endif


%build

%if %{use_nss}
INCLUDES="$INCLUDES `pkg-config --cflags-only-I nss`"
export INCLUDES
%endif

echo	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	SYSCONFDIR=%{_sysconfdir} \
	MAILRC=%{_sysconfdir}/%{name}.rc \
	MAILSPOOL=%{_localstatedir}/mail \
	SENDMAIL=%{_sbindir}/sendmail \
	UCBINSTALL=install \
> makeflags

#  %{?_smp_mflags} cannot be used here
make `cat makeflags` CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT STRIP=: `cat makeflags` install

%if %{rename}
# rename to old name "nail", to avoid conflicts with the Core mailx package
mv -f $RPM_BUILD_ROOT%{_bindir}/mailx $RPM_BUILD_ROOT%{_bindir}/%{name}
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/mailx.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING AUTHORS README %{name}.html
%config(noreplace) %{_sysconfdir}/%{name}.rc
%{_bindir}/%{name}
%{_mandir}/*/*


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 12.3-4
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 12.3-3
 - Rebuild for deps

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 12.3-2
- Rebuild for selinux ppc32 issue.

* Fri Aug 17 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- Change License tag to "BSD with advertising"

* Tue Jul 24 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 12.3-1
- update to 12.3

* Fri Jan 12 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 12.2-1
- update to 12.2
- spec file cleanups

* Fri Jun 16 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 12.1-1
- update to 12.1

* Wed Mar 22 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 12.0-2
- complete "mailx to nail" changes in the manual and config files
- drop _smp_mflags: it caused make to work incorrectly.

* Tue Mar 21 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 12.0-1
- upgrade to 12.0
- change new upstream name "mailx" to the old name "nail" to avoid
  conflicts with the Core mailx package.
- drop Source1, use package's html file instead.

* Mon Oct 17 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 11.25-4
- don't strip binaries on makeinstall (#170972)

* Mon Oct  3 2005 Dmitry Butskoy <Dmitry@Butskoy.name>
- clear buildroot before install (Michael Schwendt)

* Mon Sep 26 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 11.25-3
- more spec file cleanups
- accepted for Fedora Extra
  (review by Aurelien Bompard <gauret@free.fr>)

* Mon Aug 22 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 11.25-2
- spec file cleanups (#166343)

* Fri Aug 19 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 11.25-1
- initial release
- add "set bsdcompat" to nail.rc as default
- copy nail web page to doc

